package com.gic.store.entity;

import java.util.Date;

/**
 * tab_gic_store_strategy
 */
public class TabGicStoreStrategy {
    /**
     * 
     */
    private Integer strategyId;

    /**
     * 策略名称
     */
    private String startegyName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 门店域id
     */
    private Integer storeRegionId;

    /**
     * 门店分组条件，json数组
     */
    private String condition;

    /**
     * 策略命中值；如果type为门店分组策略，对应分组id；否则为门店启用和不启用值
     */
    private String targetValue;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态值  1有效  0无效
     */
    private Integer status;

    /**
     * 策略类型，1门店状态策略，   2门店分组策略
     */
    private Integer stategyType;

    public Integer getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Integer strategyId) {
        this.strategyId = strategyId;
    }

    public String getStartegyName() {
        return startegyName;
    }

    public void setStartegyName(String startegyName) {
        this.startegyName = startegyName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(Integer storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    public String getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(String targetValue) {
        this.targetValue = targetValue;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStategyType() {
        return stategyType;
    }

    public void setStategyType(Integer stategyType) {
        this.stategyType = stategyType;
    }
}